version 8.2
clear
set logtype text
set more off
set matsize 200

capture log close
log using "brazrloc/logs/pia-rais-secex-data.log", replace

// RAIS firm data
tempfile rais
use cnpj_radic ano n_pis indprim indhigh indprof indtech indwhit indsklb indunsklb mod_subs_ibge rem_dezembro mod_nat_jurid using "rais/base-agg/cnpjradic/aggcnpj_a.dta", clear
foreach i in b c d e f g h i j {
  append using "rais/base-agg/cnpjradic/aggcnpj_`i'.dta", keep(cnpj_radic ano n_pis indprim indhigh indprof indtech indwhit indsklb mod_subs_ibge rem_dezembro mod_nat_jurid) 
  }  
rename ano year
rename mod_subs_ibge subs_ibge
rename mod_nat_jurid nat_jurid
gen indtert = 1 - indprim - indhigh
label var indtert "Share: Tertiary education"

* Transform to USD wages
gen decwage = real(subinstr(rem_dezembro,",",".",.))
drop rem_dezembro
local var "decwage"
foreach yr in 92 93 94 95 96 97 98 99 100 101 {
  local minw = salusd[`yr'-89,1]
  replace `var' = `var' * 12 * `minw' if year==1900+`yr'
  * Deflate as in %02/firmagg-secex (see ./auxil/CPUSAM-rebase-8-94.csv for values)
  if `yr'==92  replace `var' = `var'/0.952348993  // 12/1992
  if `yr'==93  replace `var' = `var'/0.97852349   // 12/1993
  if `yr'==94  replace `var' = `var'/1.004697987  // 12/1994
  if `yr'==95  replace `var' = `var'/1.030201342  // 12/1995
  if `yr'==96  replace `var' = `var'/1.06442953   // 12/1996
  if `yr'==97  replace `var' = `var'/1.082550336  // 12/1997
  if `yr'==98  replace `var' = `var'/1.1          // 12/1998
  if `yr'==99  replace `var' = `var'/1.129530201  // 12/1999
  if `yr'==100 replace `var' = `var'/1.167785235  // 12/2000
  if `yr'==101 replace `var' = `var'/1.18590604   // 12/2001
  }
rename `var' decwageyr
label var decwageyr "Annual'zd Dec Wage [US-CPI 8/94]"
 
order cnpj_radic year n_pis indprim indhigh indtert indunsklb indsklb indwhit indtech indprof decwageyr subs_ibge nat_jurid
sort cnpj_radic year 
iis cnpj_radic
tis year
save `rais'

// PIA firm data
STOP

save "brazrloc/data/pia-rais-secex-data.dta", replace

log close
