version 8.2
clear
set logtype text
set more off
set matsize 200

capture mkdir "brazrloc/estmat/v4/reg"
capture mkdir "brazrloc/estmat/v4/reg/natl-maleprime"

capture log close
log using "brazrloc/logs/summary-stats-nber-natl.log", replace

local maxiter $maxiter


// SUBSIBGE REGRESSIONS

local focallst "subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf"
local addlst   "subs_balcadv_indexp subs_balcadv_indexp_tarf"
local nberlst  "firm_indexp firm_indexp_tarf"
local cntrlsec "subs_secrealx subs_fdiflw subs_herfsale"
local cntrlwkf "plant_lnempl plant_tenuryr plant_indprof plant_indtech plant_indwhit plant_indsklb"
local addlwkf  "plant_indprim plant_indhigh" 
local endog    "subs_tarfoutp subs_tarfintm subs_reffpen"
local baseiv   "subs_dollar subs_ppieu subs_ppinam subs_ppioecd subs_ppiworld"  // note additional IVs subs_ppioecd subs_ppiworld (to keep expiv from iv list)
local expiv    "imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU"

* NATIONWIDE employment changes

use "brazrloc/data/employment-natl-maleprime-subsibge.dta", clear

qui xtreg emplchg `nberlst' `endog' `cntrlsec' `cntrlwkf' indyr* if year>=1990, fe /*cluster(identificad) robust*/
gen byte indsmpl = e(sample)
label var indsmpl "Indic.: In clogit sample"

tab year if indsmpl
xtdes if indsmpl

summ2tex * if indsmpl, c(mean sd N p50) path(brazrloc/estmat/v4/reg/natl-maleprime) name(summ_empl) replace detail
mat drop summ_empl_tbl

* METROPOLITAN employment changes

use "brazrloc/data/employment-metromale-prime-subsibge.dta", clear

qui xtreg emplchg `nberlst' `endog' `cntrlsec' `cntrlwkf' indyr* if year>=1990, fe /*cluster(identificad) robust*/
gen byte indsmpl = e(sample)
label var indsmpl "Indic.: In clogit sample"

tab year if indsmpl
xtdes if indsmpl

summ2tex * if indsmpl, c(mean sd N p50) path(brazrloc/estmat/v4/reg/metromale-prime) name(summ_empl) replace detail
mat drop summ_empl_tbl

log close
