version 8.2
clear
set more off
set mem 50m
set matsize 200

capture mkdir "brazrloc/tex/v4/reg"
capture mkdir "brazrloc/tex/v4/natl/reg"


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(summ_dspl) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_dspl_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ_hire_timevar) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(summ) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_comp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_comp_yreff) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_compno13) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_main) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_robst) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_xtiv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_trad) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_intract_wrkf) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_rhir) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aerrr_m2rhr) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_nosecfe_fststg) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_fststg) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_nosecfe_iv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_iv) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_logit) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_logit) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_robst_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_robst_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_robst_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_robst_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(base_frmlnlp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(aer_frmlnlp) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(comp_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(comp_natlsubs_yreff) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(main_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(main_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(logitplus_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(logitplus_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(eduprv_natlsubs_dspl) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(eduprv_natlsubs_hire) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv1stsec_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(iv1stfrm_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(xtivreg_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(xtivreg_nointr_natlsubs) retain p(brazrloc/tex/v4/natl/reg) replace
clear


* LOAD MATRICES *

foreach margin in dspl hire {
/* XXX
  foreach mat in allsec balrnk1 balrnk3 balrnk5 indexp timevar {
    matload summ_`margin'_`mat'_tbl, p(brazrloc/estmat/v4/reg/natl) over missing(.)
    }
  foreach type in b se e {
    drop _all
    matload subs_`margin'_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_`type' natlsubs_`margin'_`type'
    }
XXX */
  foreach type in b se e r {
    drop _all
    matload subs`margin'_aer_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_aerrr_intract_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosecfe_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs`margin'_nosec13_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    drop _all
    matload subs_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
    matrix rename subs_`margin'_iv1st_`type' natlsubs_`margin'_iv1st_`type'
    }
  }
foreach type in b se e r {
  matload subsrhir_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  matload subsm2rhr_ryr_aerrr_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.)
  drop _all
  }


/* XXX
// RAIS NATIONAL SUMMARY STATISTICS

foreach margin in dspl hire {
  matorder summ_`margin'_allsec_tbl, m(summ_`margin'_allsec_tbl) over ifc(mean sd)
  matorder summ_`margin'_balrnk1_tbl, m(summ_`margin'_balrnk1_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk3_tbl, m(summ_`margin'_balrnk3_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk5_tbl, m(summ_`margin'_balrnk5_tbl) over ifc(mean)
  matorder summ_`margin'_indexp_tbl, m(summ_`margin'_indexp_tbl) over ifc(mean)
  mat summ_`margin'_tbl = summ_`margin'_allsec_tbl , summ_`margin'_balrnk5_tbl , summ_`margin'_indexp_tbl
  mat coleq summ_`margin'_tbl = allsec allsec balrnk5 indexp
  mat drop summ_`margin'_allsec_tbl summ_`margin'_balrnk1_tbl summ_`margin'_balrnk3_tbl summ_`margin'_balrnk5_tbl summ_`margin'_indexp_tbl
  est2tex summ_`margin', ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifr(subs_balcadv subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_fdiflw subs_reffpen subs_tarfoutp subs_tarfintm subs_herfsale subs_indprown_pis occ_indoutsrc plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_indexp firm_indexp_tarf firm_lnlp indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb balarank indsmpl)
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifc(balrnk5_mean indexp_mean)
  }
mat summ_tbl = summ_dspl_tbl , summ_hire_tbl
mat drop summ_dspl_tbl summ_hire_tbl
mat coleq summ_tbl = dspl dspl hire hire
est2tex summ, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall extracols(2)

foreach margin in dspl hire {
  foreach var in plant_lnempl firm_lnlp {
    mat `var'_98_90 = J(1,4,.)
    mat colnames `var'_98_90 = mean_allsec sd_allsec mean_balarank5 mean_firm_indexp
    mat rownames `var'_98_90 = `var':1998_1990
    foreach col in mean_allsec mean_balarank5 mean_firm_indexp {
      mat `var'_98_90[1,colnumb(`var'_98_90,"`col'")] = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1998"),colnumb(summ_`margin'_timevar_tbl,"`col'")] / summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1990"),colnumb(summ_`margin'_timevar_tbl,"`col'")]
      }
    }
  mat summ_`margin'_timevar_tbl = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1990")..rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1998"),1...] \ plant_lnempl_98_90 \ summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1990")..rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1998"),1...] \ firm_lnlp_98_90
  mat drop plant_lnempl_98_90 firm_lnlp_98_90
  est2tex summ_`margin'_timevar, ready replace p(brazrloc/tex/v4/natl/reg) fancy digits(3) dropall
  }
XXX */

// RAIS NATIONAL TABLES FOR AER R&R

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_dspl_tbl

foreach type in b se e r {
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_nofe clogit_secyrfe clogit_secyrtrdfe xt_secyrfe_smpl xt_secyrfe xtiv_secyrfe)
  }
est2tex aerrr_main_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall
mat drop aerrr_main_hire_tbl

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_main_dspl_`type') ifc(clogit_yrfe clogit_secyrfe0 clogit_secyrtrdfe0 xt_secyrfe_smpl0 xt_secyrfe0 xtiv_secyrfe0 xtiv_yrfe xtiv_secfe0) over  // XXX add: xtiv_secyrtrdfe0
  mat coleq aerrr_main_dspl_`type' = dspl
  matorder subshire_aerrr_`type', m(aerrr_main_hire_`type') ifc(clogit_yrfe clogit_secyrfe0 clogit_secyrtrdfe0 xt_secyrfe_smpl0 xt_secyrfe0 xtiv_secyrfe0 xtiv_yrfe xtiv_secfe0) over  // XXX add: xtiv_secyrtrdfe0
  mat coleq aerrr_main_hire_`type' = hire
  }
est2one aerrr_main_dspl
est2one aerrr_main_hire
mat aerrr_main_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_main_tbl, m(aerrr_main_tbl) ifc(dspl:clogit_yrfe dspl:clogit_secyrfe0 dspl:xt_secyrfe0 hire:clogit_yrfe hire:clogit_secyrfe0 hire:xt_secyrfe0) over
est2tex aerrr_main, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_robst_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_robst_tbl, m(aerrr_robst_tbl) ifc(dspl:clogit_secyrtrdfe0 dspl:xt_secyrfe0 dspl:xtiv_secyrfe0 hire:clogit_secyrtrdfe0 hire:xt_secyrfe0 hire:xtiv_secyrfe0) over
est2tex aerrr_robst, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall
mat aerrr_xtiv_tbl = aerrr_main_dspl_tbl, aerrr_main_hire_tbl
matorder aerrr_xtiv_tbl, m(aerrr_xtiv_tbl) ifc(dspl:xtiv_yrfe dspl:xtiv_secfe0 dspl:xtiv_secyrfe0 hire:xtiv_yrfe hire:xtiv_secfe0 hire:xtiv_secyrfe0) over  // XXX use: xtiv_secyrtrdfe0
est2tex aerrr_xtiv, ready fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_`type', m(aerrr_intract_trad_dspl_`type') ifc(clogit_intract10 clogit_intract20 clogit_intract30)
  mat coleq aerrr_intract_trad_dspl_`type' = dspl dspl dspl
  matorder subshire_aerrr_`type', m(aerrr_intract_trad_hire_`type') ifc(clogit_intract10 clogit_intract20 clogit_intract30)
  mat coleq aerrr_intract_trad_hire_`type' = hire hire hire
  mat aerrr_intract_trad_`type' = aerrr_intract_trad_dspl_`type', aerrr_intract_trad_hire_`type'
  mat drop aerrr_intract_trad_dspl_`type' aerrr_intract_trad_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_trad_`type', m(aerrr_intract_trad_`type') ifr(subs_tarfoutp_indexp subs_tarfintm_indexp subs_tarfoutp_balcadv subs_tarfintm_balcadv subs_tarfoutp_indexp_balcadv subs_tarfintm_indexp_balcadv subs_tarfoutp subs_tarfintm firm_indexp subs_balcadv subs_reffpen) over
  }
est2tex aerrr_intract_trad, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(3) dropall

foreach type in b se e r {
  matorder subsdspl_aerrr_intract_`type', m(aerrr_intract_wrkf_dspl_`type') ifc(clogit_intract40 clogit_intract70)
  mat coleq aerrr_intract_wrkf_dspl_`type' = dspl dspl
  matorder subshire_aerrr_intract_`type', m(aerrr_intract_wrkf_hire_`type') ifc(clogit_intract40 clogit_intract70)
  mat coleq aerrr_intract_wrkf_hire_`type' = hire hire
  mat aerrr_intract_wrkf_`type' = aerrr_intract_wrkf_dspl_`type', aerrr_intract_wrkf_hire_`type'
  mat drop aerrr_intract_wrkf_dspl_`type' aerrr_intract_wrkf_hire_`type'
  if "`type'"=="b" | "`type'"=="se"  matorder aerrr_intract_wrkf_`type', m(aerrr_intract_wrkf_`type') ifr(subs_tarfoutp_notindprim subs_tarfintm_notindprim subs_tarfoutp_indyoung subs_tarfintm_indyoung subs_tarfoutp_indwhite subs_tarfintm_indwhite subs_tarfoutp subs_tarfintm subs_reffpen) over
  }
est2tex aerrr_intract_wrkf, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) extracols(2) dropall

foreach type in b se e r {
  matorder subsrhir_aerrr_`type', m(aerrr_rhir_`type') ifc(clogit_secyrfe_tsec1 clogit_secyrfe_tsec2 clogit_secyrfe_tsec3 clogit_secyrfe_tsec4 clogit_secyrfe_tsec5 clogit_secyrfe_tsec7)
  }
/* XXX */ est2tex aerrr_rhir, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsm2rhr_ryr_aerrr_`type', m(aerrr_m2rhr_`type') ifc(xt_yrfe xt_secyrfe0 xt_secyrtrdfe0 xtiv_secyrfe0)
  }
/* XXX */ est2tex aerrr_m2rhr, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

STOP

// RAIS NATIONAL TABLES FOR INITIAL PAPER DRAFT

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_nosecfe_`type', m(basedspl_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat basedspl_comp_`type' = subsdspl_nosecfe_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat basedspl_comp_`type' = basedspl_comp_`type' , addon_dspl_`type'
  matorder basedspl_comp_`type', m(basedspl_comp_`type') over ifc(clogit_nosecfe clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_nosecfe_`type', m(basehire_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat basehire_comp_`type' = subshire_nosecfe_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat basehire_comp_`type' = basehire_comp_`type' , addon_hire_`type'
  matorder basehire_comp_`type', m(basehire_comp_`type') over ifc(clogit_nosecfe clogit_focal clogit_all)
  mat base_comp_`type' = basedspl_comp_`type' , basehire_comp_`type'
  mat drop basedspl_comp_`type' basehire_comp_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq base_comp_`type' = dspl dspl dspl hire hire hire
  }
est2tex base_comp, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_aer_`type', m(aerdspl_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat aerdspl_comp_`type' = subsdspl_aer_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat aerdspl_comp_`type' = aerdspl_comp_`type' , addon_dspl_`type'
  matorder aerdspl_comp_`type', m(aerdspl_comp_`type') over ifc(clogit_aer clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_aer_`type', m(aerhire_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat aerhire_comp_`type' = subshire_aer_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat aerhire_comp_`type' = aerhire_comp_`type' , addon_hire_`type'
  matorder aerhire_comp_`type', m(aerhire_comp_`type') over ifc(clogit_aer clogit_focal clogit_all)
  mat aer_comp_`type' = aerdspl_comp_`type' , aerhire_comp_`type'
  mat drop aerdspl_comp_`type' aerhire_comp_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq aer_comp_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_comp, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_nosec13_`type', m(aerdspl_compno13_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat aerdspl_compno13_`type' = subsdspl_nosec13_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat aerdspl_compno13_`type' = aerdspl_compno13_`type' , addon_dspl_`type'
  matorder aerdspl_compno13_`type', m(aerdspl_compno13_`type') over ifc(clogit_nosec13 clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_nosec13_`type', m(aerhire_compno13_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat aerhire_compno13_`type' = subshire_nosec13_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat aerhire_compno13_`type' = aerhire_compno13_`type' , addon_hire_`type'
  matorder aerhire_compno13_`type', m(aerhire_compno13_`type') over ifc(clogit_nosec13 clogit_focal clogit_all)
  mat aer_compno13_`type' = aerdspl_compno13_`type' , aerhire_compno13_`type'
  mat drop aerdspl_compno13_`type' aerhire_compno13_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq aer_compno13_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_compno13, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_aer_`type', m(aerdspl_comp_yreff_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat aerdspl_comp_yreff_`type' = subsdspl_aer_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat aerdspl_comp_yreff_`type' = aerdspl_comp_yreff_`type' , addon_dspl_`type'
  matorder aerdspl_comp_yreff_`type', m(aerdspl_comp_yreff_`type') over ifc(clogit_aer clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_aer_`type', m(aerhire_comp_yreff_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat aerhire_comp_yreff_`type' = subshire_aer_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat aerhire_comp_yreff_`type' = aerhire_comp_yreff_`type' , addon_hire_`type'
  matorder aerhire_comp_yreff_`type', m(aerhire_comp_yreff_`type') over ifc(clogit_aer clogit_focal clogit_all)
  mat aer_comp_yreff_`type' = aerdspl_comp_yreff_`type' , aerhire_comp_yreff_`type'
  mat drop aerdspl_comp_yreff_`type' aerhire_comp_yreff_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq aer_comp_yreff_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_comp_yreff, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_nosecfe_`type', m(aer_main_dspl_`type') ifc(clogit_balcadv clogit_indexp clogit_tarf clogit_nosecfe clogit_noyreff clogit_secfe)
  }
est2tex aer_main_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subshire_nosecfe_`type', m(aer_main_hire_`type') ifc(clogit_balcadv clogit_indexp clogit_tarf clogit_nosecfe clogit_noyreff clogit_secfe)
  }
est2tex aer_main_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsdspl_nosecfe_`type', m(aer_nosecfe_fststg_dspl_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  matorder subshire_nosecfe_`type', m(aer_nosecfe_fststg_hire_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  if "`type'"~="e" & "`type'"~="r"  matorder aer_nosecfe_fststg_dspl_`type', m(aer_nosecfe_fststg_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aer_nosecfe_fststg_dspl_`type' = aer_nosecfe_fststg_dspl_`type'[1..3,.] \ aer_nosecfe_fststg_dspl_`type'[4..10,.]*1000000000000 \ aer_nosecfe_fststg_dspl_`type'[11...,.]
  if "`type'"~="e" & "`type'"~="r"  matorder aer_nosecfe_fststg_hire_`type', m(aer_nosecfe_fststg_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aer_nosecfe_fststg_hire_`type' = aer_nosecfe_fststg_hire_`type'[1..3,.] \ aer_nosecfe_fststg_hire_`type'[4..10,.]*1000000000000 \ aer_nosecfe_fststg_hire_`type'[11...,.]
  mat aer_nosecfe_fststg_`type' = aer_nosecfe_fststg_dspl_`type' , aer_nosecfe_fststg_hire_`type'
  mat drop aer_nosecfe_fststg_dspl_`type' aer_nosecfe_fststg_hire_`type'
  mat coleq aer_nosecfe_fststg_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_nosecfe_fststg, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  matorder subsdspl_aer_`type', m(aer_fststg_dspl_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  matorder subshire_aer_`type', m(aer_fststg_hire_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  if "`type'"~="e" & "`type'"~="r"  matorder aer_fststg_dspl_`type', m(aer_fststg_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aer_fststg_dspl_`type' = aer_fststg_dspl_`type'[1..3,.] \ aer_fststg_dspl_`type'[4..10,.]*1000000000000 \ aer_fststg_dspl_`type'[11...,.]
  if "`type'"~="e" & "`type'"~="r"  matorder aer_fststg_hire_`type', m(aer_fststg_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat aer_fststg_hire_`type' = aer_fststg_hire_`type'[1..3,.] \ aer_fststg_hire_`type'[4..10,.]*1000000000000 \ aer_fststg_hire_`type'[11...,.]
  mat aer_fststg_`type' = aer_fststg_dspl_`type' , aer_fststg_hire_`type'
  mat drop aer_fststg_dspl_`type' aer_fststg_hire_`type'
  mat coleq aer_fststg_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_fststg, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_aer_`type', m(aer_iv_dspl_`type') ifc(clogit_aer xt xtiv)
  matorder subshire_aer_`type', m(aer_iv_hire_`type') ifc(clogit_aer xt xtiv)
  if "`type'"~="e"  matorder aer_iv_dspl_`type', m(aer_iv_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder aer_iv_hire_`type', m(aer_iv_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat aer_iv_`type' = aer_iv_dspl_`type' , aer_iv_hire_`type'
  mat drop aer_iv_dspl_`type' aer_iv_hire_`type'
  mat coleq aer_iv_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_iv, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_nosecfe_`type', m(aer_nosecfe_iv_dspl_`type') ifc(clogit_nosecfe xt xtiv)
  matorder subshire_nosecfe_`type', m(aer_nosecfe_iv_hire_`type') ifc(clogit_nosecfe xt xtiv)
  if "`type'"~="e"  matorder aer_nosecfe_iv_dspl_`type', m(aer_nosecfe_iv_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder aer_nosecfe_iv_hire_`type', m(aer_nosecfe_iv_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat aer_nosecfe_iv_`type' = aer_nosecfe_iv_dspl_`type' , aer_nosecfe_iv_hire_`type'
  mat drop aer_nosecfe_iv_dspl_`type' aer_nosecfe_iv_hire_`type'
  mat coleq aer_nosecfe_iv_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_nosecfe_iv, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_aer_`type', m(aer_ivifclgt_dspl_`type') ifc(clogit_aer xt_ifclogit xtiv_ifclogit)
  matorder subshire_aer_`type', m(aer_ivifclgt_hire_`type') ifc(clogit_aer xt_ifclogit xtiv_ifclogit)
  if "`type'"~="e"  matorder aer_ivifclgt_dspl_`type', m(aer_ivifclgt_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder aer_ivifclgt_hire_`type', m(aer_ivifclgt_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat aer_ivifclgt_`type' = aer_ivifclgt_dspl_`type' , aer_ivifclgt_hire_`type'
  mat drop aer_ivifclgt_dspl_`type' aer_ivifclgt_hire_`type'
  mat coleq aer_ivifclgt_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_ivifclgt, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_aer_`type', m(aer_logit_dspl_`type') ifc(clogit_aer logit_ifclogit logit)
  matorder subshire_aer_`type', m(aer_logit_hire_`type') ifc(clogit_aer logit_ifclogit logit)
  if "`type'"~="e"  matorder aer_logit_dspl_`type', m(aer_logit_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder aer_logit_hire_`type', m(aer_logit_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat aer_logit_`type' = aer_logit_dspl_`type' , aer_logit_hire_`type'
  mat drop aer_logit_dspl_`type' aer_logit_hire_`type'
  mat coleq aer_logit_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_logit, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(base_logit_dspl_`type') ifc(clogit_all logit_all_ifclogit logit_all)
  matorder natlsubs_hire_`type', m(base_logit_hire_`type') ifc(clogit_all logit_all_ifclogit logit_all)
  if "`type'"~="e"  matorder base_logit_dspl_`type', m(base_logit_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder base_logit_hire_`type', m(base_logit_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat base_logit_`type' = base_logit_dspl_`type' , base_logit_hire_`type'
  mat drop base_logit_dspl_`type' base_logit_hire_`type'
  mat coleq base_logit_`type' = dspl dspl dspl hire hire hire
  }
est2tex base_logit, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_aer_`type', m(aer_robst_dspl_`type') ifc(clogit_aer clogit_indyoung clogit_indprim clogit_indcoll clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder aer_robst_dspl_`type', m(aer_robst_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex aer_robst_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subshire_aer_`type', m(aer_robst_hire_`type') ifc(clogit_aer clogit_indyoung clogit_indprim clogit_indcoll clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder aer_robst_hire_`type', m(aer_robst_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex aer_robst_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subsdspl_nosecfe_`type', m(base_robst_dspl_`type') ifc(clogit_nosecfe clogit_indyoung clogit_indprim clogit_indcoll clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder base_robst_dspl_`type', m(base_robst_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex base_robst_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subshire_nosecfe_`type', m(base_robst_hire_`type') ifc(clogit_nosecfe clogit_indyoung clogit_indprim clogit_indcoll clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder base_robst_hire_`type', m(base_robst_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex base_robst_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subsdspl_nosecfe_`type', m(base_frmlnlp_dspl_`type') ifc(clogit_nosecfe clogit_ifpia clogit_lnlp)
  matorder subshire_nosecfe_`type', m(base_frmlnlp_hire_`type') ifc(clogit_nosecfe clogit_ifpia clogit_lnlp)
  if "`type'"~="e"  matorder base_frmlnlp_dspl_`type', m(base_frmlnlp_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  if "`type'"~="e"  matorder base_frmlnlp_hire_`type', m(base_frmlnlp_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  mat base_frmlnlp_`type' = base_frmlnlp_dspl_`type' , base_frmlnlp_hire_`type'
  mat drop base_frmlnlp_dspl_`type' base_frmlnlp_hire_`type'
  mat coleq base_frmlnlp_`type' = dspl dspl dspl hire hire hire
  }
est2tex base_frmlnlp, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_aer_`type', m(aer_frmlnlp_dspl_`type') ifc(clogit_aer clogit_ifpia clogit_lnlp)
  matorder subshire_aer_`type', m(aer_frmlnlp_hire_`type') ifc(clogit_aer clogit_ifpia clogit_lnlp)
  if "`type'"~="e"  matorder aer_frmlnlp_dspl_`type', m(aer_frmlnlp_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  if "`type'"~="e"  matorder aer_frmlnlp_hire_`type', m(aer_frmlnlp_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  mat aer_frmlnlp_`type' = aer_frmlnlp_dspl_`type' , aer_frmlnlp_hire_`type'
  mat drop aer_frmlnlp_dspl_`type' aer_frmlnlp_hire_`type'
  mat coleq aer_frmlnlp_`type' = dspl dspl dspl hire hire hire
  }
est2tex aer_frmlnlp, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)


// RAIS MAIN NATIONAL TABLES

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(main_natlsubs_dspl_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_hire_`type', m(main_natlsubs_hire_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlsubs_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(comp_natlsubs_dspl_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_dspl_`type', m(comp_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(comp_natlsubs_hire_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_hire_`type', m(comp_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat comp_natlsubs_`type' = comp_natlsubs_dspl_`type' , comp_natlsubs_hire_`type'
  mat coleq comp_natlsubs_`type' = dspl dspl hire hire
  mat drop comp_natlsubs_dspl_`type' comp_natlsubs_hire_`type'
  }
est2tex comp_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(comp_natlsubs_dsplyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_dsplyreff_`type', m(comp_natlsubs_dsplyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  matorder natlsubs_hire_`type', m(comp_natlsubs_hireyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_hireyreff_`type', m(comp_natlsubs_hireyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  mat comp_natlsubs_yreff_`type' = comp_natlsubs_dsplyreff_`type' , comp_natlsubs_hireyreff_`type'
  mat coleq comp_natlsubs_yreff_`type' = dspl dspl hire hire
  mat drop comp_natlsubs_dsplyreff_`type' comp_natlsubs_hireyreff_`type'
  }
est2tex comp_natlsubs_yreff, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

// RAIS ROBUSTNESS CHECKS NATIONAL TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(logitplus_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder logitplus_natlsubs_dspl_`type', m(logitplus_natlsubs_dspl_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(logitplus_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder logitplus_natlsubs_hire_`type', m(logitplus_natlsubs_hire_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_natlsubs_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(eduprv_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder eduprv_natlsubs_dspl_`type', m(eduprv_natlsubs_dspl_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(eduprv_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder eduprv_natlsubs_hire_`type', m(eduprv_natlsubs_hire_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlsubs_hire, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall

// RAIS IV NATIONAL TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(iv_natlsubs_dspl_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder iv_natlsubs_dspl_`type', m(iv_natlsubs_dspl_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(iv_natlsubs_hire_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder iv_natlsubs_hire_`type', m(iv_natlsubs_hire_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  mat iv_natlsubs_`type' = iv_natlsubs_dspl_`type' , iv_natlsubs_hire_`type'
  matrix coleq iv_natlsubs_`type' = dspl dspl hire hire
  }
est2tex iv_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e r {  // note: worker-level variables suppressed
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_iv1st_`type', m(iv1stsec_natlsubs_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlsubs_dspl_`type' = natlsubs_dspl_iv1st_`type'
  matorder iv1stsec_natlsubs_dspl_`type', m(iv1stsec_natlsubs_dspl_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_iv1st_`type', m(iv1stsec_natlsubs_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlsubs_hire_`type' = natlsubs_hire_iv1st_`type'
  matorder iv1stsec_natlsubs_hire_`type', m(iv1stsec_natlsubs_hire_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  mat iv1stsec_natlsubs_`type' = iv1stsec_natlsubs_dspl_`type' , iv1stsec_natlsubs_hire_`type'
  matrix coleq iv1stsec_natlsubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stsec_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_iv1st_`type', m(iv1stfrm_natlsubs_dspl_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlsubs_dspl_`type' = iv1stfrm_natlsubs_dspl_`type'[1..7,.]*1000000000 \ iv1stfrm_natlsubs_dspl_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlsubs_dspl_`type' = natlsubs_dspl_iv1st_`type'
  matorder iv1stfrm_natlsubs_dspl_`type', m(iv1stfrm_natlsubs_dspl_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_iv1st_`type', m(iv1stfrm_natlsubs_hire_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlsubs_hire_`type' = iv1stfrm_natlsubs_hire_`type'[1..7,.]*1000000000 \ iv1stfrm_natlsubs_hire_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlsubs_hire_`type' = natlsubs_hire_iv1st_`type'
  matorder iv1stfrm_natlsubs_hire_`type', m(iv1stfrm_natlsubs_hire_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  mat iv1stfrm_natlsubs_`type' = iv1stfrm_natlsubs_dspl_`type' , iv1stfrm_natlsubs_hire_`type'
  matrix coleq iv1stfrm_natlsubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stfrm_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(xtivreg_natlsubs_dspl_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlsubs_dspl_`type', m(xtivreg_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(xtivreg_natlsubs_hire_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlsubs_hire_`type', m(xtivreg_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_natlsubs_`type' = xtivreg_natlsubs_dspl_`type' , xtivreg_natlsubs_hire_`type'
  mat coleq xtivreg_natlsubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_natlsubs_dspl_`type' xtivreg_natlsubs_hire_`type'
  }
est2tex xtivreg_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(xtivreg_nointr_natlsubs_dspl_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlsubs_dspl_`type', m(xtivreg_nointr_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(xtivreg_nointr_natlsubs_hire_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlsubs_hire_`type', m(xtivreg_nointr_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_nointr_natlsubs_`type' = xtivreg_nointr_natlsubs_dspl_`type' , xtivreg_nointr_natlsubs_hire_`type'
  mat coleq xtivreg_nointr_natlsubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_nointr_natlsubs_dspl_`type' xtivreg_nointr_natlsubs_hire_`type'
  }
est2tex xtivreg_nointr_natlsubs, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

* Clean Up
capture mat drop summ_tbl
foreach type in b se e tbl {
  capture mat drop comp_natlsubs_`type'
  capture mat drop comp_natlsubs_yreff_`type'
  capture mat drop main_natlsubs_dspl_`type'
  capture mat drop main_natlsubs_hire_`type'
  capture mat drop logitplus_natlsubs_dspl_`type'
  capture mat drop logitplus_natlsubs_hire_`type'
  capture mat drop eduprv_natlsubs_dspl_`type'
  capture mat drop eduprv_natlsubs_hire_`type'
  capture mat drop iv_natlsubs_`type'
  capture mat drop xtivreg_natlsubs_`type'
  capture mat drop xtivreg_nointr_natlsubs_`type'
  }
foreach type in b se e r tbl {
  capture mat drop iv1stsec_natlsubs_`type'
  capture mat drop iv1stfrm_natlsubs_`type'
  }
clear


// ORDERED LOGIT REGRESSIONS

est2extlbl, addto(main_natlsubs_odur) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl/reg) replace
est2extlbl, addto(comp_odur_focal) retain p(brazrloc/tex/v4/reg) replace
est2extlbl, addto(comp_odur_all) retain p(brazrloc/tex/v4/reg) replace
clear

* LOAD MATRICES *

foreach type in b se e {
  matload subs_odur_`type', p(brazrloc/estmat/v4/reg/natl) over missing(.) dropall
  mat rename subs_odur_`type' natlsubs_odur_`type'
  }

* INDIVIDUAL TABLES *

foreach type in b se e {
  matorder natlsubs_odur_`type', m(main_natlsubs_odur_`type') over ifc(ologit_balcadv ologit_balcadv_tarf ologit_indexp ologit_indexp_tarf ologit_all)
  }
est2tex main_natlsubs_odur, fancy p(brazrloc/tex/v4/natl/reg) replace level(90 95 99) mark(starse) dropall


* Clean up
foreach type in b se e tbl {
  capture mat drop main_natlsubs_odur_`type'
  }
clear

